%{?nodejs_find_provides_and_requires}

%global packagename tap
%global enable_tests 0
# tests disabled until npm(nyc) is packaged in Fedora

Name:		nodejs-tap
Version:	2.1.1
Release:	3%{?dist}
Summary:	A Test-Anything-Protocol library

License:	ISC
URL:		https://github.com/isaacs/node-tap.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(deeper)
BuildRequires:	npm(foreground-child)
BuildRequires:	npm(only-shallow)
BuildRequires:	npm(opener)
BuildRequires:	npm(tmatch)
BuildRequires:	npm(tap-parser)
%endif

Requires:	nodejs

%description
A Test-Anything-Protocol library


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# Remove bundled packages
rm -rf node_modules/

%nodejs_fixdep glob
%nodejs_fixdep supports-color


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin/ lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/run.js \
    %{buildroot}%{_bindir}/tap


%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node bin/run.js test/*.*
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/tap



%changelog
* Fri Nov 06 2015 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-3
- Make sure we install binary

* Sat Oct 24 2015 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-2
- Fix build dependency on npm(glob) and fix tests

* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-1
- Initial packaging
